#!/perl

use XML::Simple;

print "Hello, World...\n";

my $file = 'C:/FG0981/FlightGear/data/keyboard.xml';
my $xs1 = XML::Simple->new();

my $doc = $xs1->XMLin($file);

foreach my $key (keys (%{$doc->{key}})){
	print "$key (";
#	print $doc->{key}->{$key}->final;
#	print $doc->{key}->{$key}->{binding}->{command};
	print ") ";
	print $doc->{key}->{$key}->{desc};
	##   print $doc->{key}->{$key}->{'name'} . ' (' . $key . ') ';
	##   print $doc->{key}->{$key}->{desc}->final . "\n";
   print "\n";
}

